gr::funcube::fcdpp_control_impl Class Reference

`#include <fcdpp_control_impl.h>`

Inheritance diagram for gr::funcube::fcdpp_control_impl:

## Public Member Functions

| fcdpp_control_impl ()
| ~fcdpp_control_impl ()
void | set_freq (double freq) override
| Sets the frequency .
void | set_lna (int gain) override
| Switches the LNA on/off.
void | set_mixer_gain (int gain) override
| Switches mixer gain onf/off.
void | set_if_gain (int gain)
| Set If gain.
void | set_frequency_msg (pmt::pmt_t msg)

## Additional Inherited Members

Public Types inherited from gr::funcube::fcdpp_control
typedef std::shared_ptr< fcdpp_control > | sptr
Static Public Member Functions inherited from gr::funcube::fcdpp_control
static sptr | make ()
| Return a shared_ptr to a new instance of funcube::fcdpp_control.

## Constructor & Destructor Documentation

## fcdpp_control_impl()

gr::funcube::fcdpp_control_impl::fcdpp_control_impl | ( |  | ) |

## ~fcdpp_control_impl()

gr::funcube::fcdpp_control_impl::~fcdpp_control_impl | ( |  | ) |

## Member Function Documentation

## set_freq()

void gr::funcube::fcdpp_control_impl::set_freq | ( | double | freq | ) |

override virtual

Sets the frequency .

Parameters

  freq | The frequency in unit Hz

Sets the frequency of the Funcube Dongle with Hz resolution

Implements gr::funcube::fcdpp_control.

## set_frequency_msg()

void gr::funcube::fcdpp_control_impl::set_frequency_msg | ( | pmt::pmt_t | msg | ) |

## set_if_gain()

void gr::funcube::fcdpp_control_impl::set_if_gain | ( | int | gain | ) |

virtual

Set If gain.

Parameters

  gain | The If gain value between 0 and 59 db

Implements gr::funcube::fcdpp_control.

## set_lna()

void gr::funcube::fcdpp_control_impl::set_lna | ( | int | gain | ) |

override virtual

Switches the LNA on/off.

Parameters

  gain | lna on/off.

Implements gr::funcube::fcdpp_control.

## set_mixer_gain()

void gr::funcube::fcdpp_control_impl::set_mixer_gain | ( | int | gain | ) |

override virtual

Switches mixer gain onf/off.

Parameters

  gain | true means on.

Implements gr::funcube::fcdpp_control.

The documentation for this class was generated from the following file:

- fcdpp_control_impl.h